package com.xinelu.manage.domain.tasktypedict;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 任务类型字典对象 task_type_dict
 *
 * @author xinelu
 * @date 2024-03-11
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "任务类型字典对象", description = "task_type_dict")
public class TaskTypeDict extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 任务类型名称
     */
    @ApiModelProperty(value = "任务类型名称")
    @Excel(name = "任务类型名称")
    private String taskTypeName;

    /**
     * 任务类型编码
     */
    @ApiModelProperty(value = "任务类型编码, 复诊提醒：REVISIT_REMINDER, 药事服务：PHARMACY_SERVICE")
    @Excel(name = "任务类型编码")
    private String taskTypeCode;

    /**
     * 任务类型排序
     */
    @ApiModelProperty(value = "任务类型排序")
    @Excel(name = "任务类型排序")
    private Integer taskTypeSort;

    /**
     * 任务类型备注
     */
    @ApiModelProperty(value = "任务类型备注")
    @Excel(name = "任务类型备注")
    private String taskTypeRemark;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("taskTypeName", getTaskTypeName())
                .append("taskTypeCode", getTaskTypeCode())
                .append("taskTypeSort", getTaskTypeSort())
                .append("taskTypeRemark", getTaskTypeRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
